package com.alihealth.d2d.provtest.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Builder;
import lombok.Data;

import javax.persistence.Column;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 发货单信息数据子集(DrugInvoiceApplyInfo)表实体类
 *
 * @author makejava
 * @since 2025-06-11 17:43:40
 */
@SuppressWarnings("serial")
@Data
@Builder
@TableName("drug_invoice_apply_info")
public class DrugInvoiceApplyInfo {
    //主键ID
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //事件流水号
    @Column(name = "event_id")
    private String eventId;
    //事件响应时间
    @Column(name = "rec_time")
    private Date recTime;
    //药品追溯码
    @Column(name = "ypzsm")
    private String ypzsm;
    //上一级包装药品追溯码
    @Column(name = "syjbzypzsm")
    private String syjbzypzsm;
    //包装层级
    @Column(name = "bzcj")
    private String bzcj;
    //暂无
    @Column(name = "ymzt")
    private String ymzt;
    //统一社会信用代码
    @Column(name = "tyshxydmscqy")
    private String tyshxydmscqy;
    //药品生产企业名称
    @Column(name = "scqymc")
    private String scqymc;
    //药品通用名称
    @Column(name = "yptymc")
    private String yptymc;
    //国家药品标识码
    @Column(name = "gjypbsm")
    private String gjypbsm;
    //药品生产批号
    @Column(name = "ymscph")
    private String ymscph;
    //统一社会信用代码(进口代理企业)
    @Column(name = "tyshxydmjkymdlqy")
    private String tyshxydmjkymdlqy;
    //进口疫苗代理企业名称
    @Column(name = "jkymdlqymc")
    private String jkymdlqymc;
    //药品生产日期
    @Column(name = "scrq")
    private Date scrq;
    //药品有效期截止日期
    @Column(name = "ymyxqjzrq")
    private Date ymyxqjzrq;
    //发货数量
    @Column(name = "fhsl")
    private Integer fhsl;
    //药品批准文号
    @Column(name = "yppzwh")
    private String yppzwh;
    //药品批准文号有效期
    @Column(name = "yppzwhyxq")
    private Date yppzwhyxq;
    //剂型
    @Column(name = "jx")
    private String jx;
    //包装规格
    @Column(name = "bzgg")
    private String bzgg;
    //制剂规格
    @Column(name = "zjgg")
    private String zjgg;
    //包装转换比
    @Column(name = "bzzhb")
    private BigDecimal bzzhb;
    //包装转换比单位
    @Column(name = "bzzhbdw")
    private String bzzhbdw;
    //药品注册分类
    @Column(name = "ypzcfl")
    private String ypzcfl;
    //特殊药品管理分类
    @Column(name = "tsypglfl")
    private String tsypglfl;
    //药检报告签收状态
    @Column(name = "yjbgqszt")
    private String yjbgqszt;
    //药检报告盖章状态
    @Column(name = "yjbggzzt")
    private String yjbggzzt;
    //发货单编号
    @Column(name = "fhdbh")
    private String fhdbh;
    //订货单编号
    @Column(name = "dhdbh")
    private String dhdbh;
    //统一社会信用代码（发货机构）
    @Column(name = "tyshxydmfhjg")
    private String tyshxydmfhjg;
    //暂不用字段
    @Column(name = "jzdwbmfhjg")
    private String jzdwbmfhjg;
    //发货机构名称
    @Column(name = "fhjgmc")
    private String fhjgmc;
    //发货地址
    @Column(name = "fhdz")
    private String fhdz;
    //发货类型
    @Column(name = "fhlx")
    private String fhlx;
    //发货时间
    @Column(name = "fhsj")
    private Date fhsj;
    //统一社会信用代码（收货机构）
    @Column(name = "tyshxydmshjg")
    private String tyshxydmshjg;
    //暂无
    @Column(name = "jzdwbmshjg")
    private String jzdwbmshjg;
    //收货地址
    @Column(name = "shdz")
    private String shdz;
    //收货机构名称
    @Column(name = "shjgmc")
    private String shjgmc;
    //统一社会信用代码（派送单位）
    @Column(name = "tyshxydmympsdw")
    private String tyshxydmympsdw;
    //药品配送单位名称
    @Column(name = "ympsdwmc")
    private String ympsdwmc;
    //单据验证状态
    @Column(name = "djyzzt")
    private String djyzzt;
    //单据验证日期
    @Column(name = "djyzrq")
    private Date djyzrq;
    //单据验证未通过原因
    @Column(name = "djyzwtgyy")
    private String djyzwtgyy;
    //发货单操作人
    @Column(name = "fhdczr")
    private String fhdczr;
    //发货单上传时间
    @Column(name = "fhdscsj")
    private Date fhdscsj;
    //发货人
    @Column(name = "fhr")
    private String fhr;
    //发货机构类型
    @Column(name = "fhjglx")
    private String fhjglx;
    //收货机构类型
    @Column(name = "shjglx")
    private String shjglx;
    //发货机构小类
    @Column(name = "fhjgxl")
    private String fhjgxl;
    //收货机构小类
    @Column(name = "shjgxl")
    private String shjgxl;
    //卫生机构代码（收货机构）
    @Column(name = "wsjgdmshjg")
    private String wsjgdmshjg;
    //卫生机构代码（发货机构）
    @Column(name = "wsjgdmfhjg")
    private String wsjgdmfhjg;
    //执业许可证登记号/诊所备案编号（发货机构）
    @Column(name = "zyxkzdjhfhjg")
    private String zyxkzdjhfhjg;
    //执业许可证登记号/诊所备案编号（收货机构）
    @Column(name = "zyxkzdjhshjg")
    private String zyxkzdjhshjg;
    //委托单位名称
    @Column(name = "wtdwmc")
    private String wtdwmc;
    //委托单位统一社会信用代码
    @Column(name = "wtdwtyshxydm")
    private String wtdwtyshxydm;
    //拒收标识
    @Column(name = "jsbs")
    private String jsbs;
    //拒收原因
    @Column(name = "jsyy")
    private String jsyy;
    //拒收时间
    @Column(name = "jssj")
    private Date jssj;
    //创建时间
    @Column(name = "create_time")
    private Date createTime;
    //更新时间
    @Column(name = "update_time")
    private Date updateTime;
    //是否删除(0-否 1-是)
    @Column(name = "is_deleted")
    private Integer isDeleted;

}

