package com.alihealth.d2d.provtest.service.handle.business;

import com.alihealth.d2d.provtest.domain.AbroadPharmaBaseInfo;
import com.alihealth.d2d.provtest.entity.EventBody;
import com.alihealth.d2d.provtest.entity.InstanceDetail;
import com.alihealth.d2d.provtest.entity.ItemDetail;
import com.alihealth.d2d.provtest.entity.VTTSBasic;
import com.alihealth.d2d.provtest.service.IAbroadPharmaBaseInfoService;
import com.alihealth.d2d.provtest.service.impl.XmlParserServiceImpl;
import com.alihealth.d2d.provtest.service.handle.AbstractEventDataHandler;
import com.alihealth.d2d.provtest.service.handle.EventSubType;
import com.baomidou.mybatisplus.extension.service.IService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author Jason 境外药品生产企业基本信息数据子集
 * @date 2025年06月05日 11:14:43
 */
@Service
@EventSubType("1012")
public class SubType1012Handler extends AbstractEventDataHandler<AbroadPharmaBaseInfo> {
    protected final Logger log = LoggerFactory.getLogger(getClass());

    @Autowired
    private IAbroadPharmaBaseInfoService service;

    @Autowired
    private XmlParserServiceImpl xmlParserServiceImpl;

    @Override
    protected Class<AbroadPharmaBaseInfo> getEntityClass() {
        return AbroadPharmaBaseInfo.class;
    }

    @Override
    protected IService<AbroadPharmaBaseInfo> getService() {
        return service;
    }

    @Override
    protected AbroadPharmaBaseInfo convertToEntity(EventBody eventBody, ItemDetail item, InstanceDetail instance) {
        return null;
    }

    @Override
    public String getSubType() {
        return "1012";
    }

    @Override
    public void handleBase(String xml,String eventId) {
        VTTSBasic<AbroadPharmaBaseInfo> result = xmlParserServiceImpl.parseDataXml(
                    xml,
                    AbroadPharmaBaseInfo.class
            );
        List<AbroadPharmaBaseInfo> list = result.getDataset();
        if(list!=null && !list.isEmpty()){
            list.stream()
                    .forEach(item -> {
                        item.setEventId(eventId);
                    });
            getService().saveBatch(list);
            log.info("数据类型："+getSubType()+"，入库的数据条数:{}", list.size());
        }
    }
}
